Update a mailbox filter
curl --request PATCH \
--url https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"enabled": true,
"conditions": [
{
"value": "<string>",
"header": "<string>",
"label": "<string>"
}
],
"actions": [
{
"value": "<string>"
}
],
"stopProcessing": true
}
'import requests
url = "https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}"
payload = {
"name": "<string>",
"enabled": True,
"conditions": [
{
"value": "<string>",
"header": "<string>",
"label": "<string>"
}
],
"actions": [{ "value": "<string>" }],
"stopProcessing": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enabled: true,
conditions: [{value: '<string>', header: '<string>', label: '<string>'}],
actions: [{value: '<string>'}],
stopProcessing: true
})
};
fetch('https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'enabled' => true,
'conditions' => [
[
'value' => '<string>',
'header' => '<string>',
'label' => '<string>'
]
],
'actions' => [
[
'value' => '<string>'
]
],
'stopProcessing' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"value\": \"<string>\",\n \"header\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"stopProcessing\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"value\": \"<string>\",\n \"header\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"stopProcessing\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"value\": \"<string>\",\n \"header\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"stopProcessing\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"position": 123,
"enabled": true,
"match": "all",
"conditions": [
{
"field": "from",
"operator": "contains",
"value": "<string>",
"header": "<string>",
"label": "<string>"
}
],
"actions": [
{
"type": "move_to",
"value": "<string>"
}
],
"stopProcessing": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Mailboxes
Update a mailbox filter
Change any of a filter’s fields. conditions and actions replace the whole list. Use the reorder endpoint to change its position.
PATCH
/
api
/
e2
/
mailboxes
/
{id}
/
filters
/
{filterId}
Update a mailbox filter
curl --request PATCH \
--url https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"enabled": true,
"conditions": [
{
"value": "<string>",
"header": "<string>",
"label": "<string>"
}
],
"actions": [
{
"value": "<string>"
}
],
"stopProcessing": true
}
'import requests
url = "https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}"
payload = {
"name": "<string>",
"enabled": True,
"conditions": [
{
"value": "<string>",
"header": "<string>",
"label": "<string>"
}
],
"actions": [{ "value": "<string>" }],
"stopProcessing": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enabled: true,
conditions: [{value: '<string>', header: '<string>', label: '<string>'}],
actions: [{value: '<string>'}],
stopProcessing: true
})
};
fetch('https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'enabled' => true,
'conditions' => [
[
'value' => '<string>',
'header' => '<string>',
'label' => '<string>'
]
],
'actions' => [
[
'value' => '<string>'
]
],
'stopProcessing' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"value\": \"<string>\",\n \"header\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"stopProcessing\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"value\": \"<string>\",\n \"header\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"stopProcessing\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://inbound.new/api/e2/mailboxes/{id}/filters/{filterId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"value\": \"<string>\",\n \"header\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"actions\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"stopProcessing\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"position": 123,
"enabled": true,
"match": "all",
"conditions": [
{
"field": "from",
"operator": "contains",
"value": "<string>",
"header": "<string>",
"label": "<string>"
}
],
"actions": [
{
"type": "move_to",
"value": "<string>"
}
],
"stopProcessing": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Your Inbound API key. Include it in the Authorization header as: Bearer
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Required string length:
1 - 255Default true
Available options:
all, any Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Skip later filters when this one matches. Default false.
Response
Response for status 200
Available options:
all, any Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I